package com.xxl.job.executor.material.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.material.entity.ByteDanceVideoInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 今日头条视频素材信息
 * @Author: jeecg-boot
 * @Date: 2019-07-29
 * @Version: V1.0
 */
public interface ByteDanceVideoInfoMapper extends BaseMapper<ByteDanceVideoInfo> {

    void replaceBatch(@Param(value = "videoList") List<ByteDanceVideoInfo> videoInfoList);

    void updateVideoVerticalType();
    void updateVideoHorizonType();
}
